org.springframework.jms.config

## Class DefaultJmsListenerContainerFactory

- java.lang.Object
- - org.springframework.jms.config.AbstractJmsListenerContainerFactory<DefaultMessageListenerContainer>
  - - org.springframework.jms.config.DefaultJmsListenerContainerFactory

All Implemented Interfaces:
  JmsListenerContainerFactory<DefaultMessageListenerContainer>

    public class DefaultJmsListenerContainerFactory
    extends AbstractJmsListenerContainerFactory<DefaultMessageListenerContainer>

A `JmsListenerContainerFactory` implementation to build a regular `DefaultMessageListenerContainer`.

This should be the default for most users and a good transition paths for those that are used to build such container definition manually.

Since:
  4.1
Author:
  Stephane Nicoll

### Field Summary

### Fields inherited from class org.springframework.jms.config.AbstractJmsListenerContainerFactory

`logger`

### Constructor Summary

Constructors
Constructor and Description
`DefaultJmsListenerContainerFactory()`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected DefaultMessageListenerContainer` `createContainerInstance()` Create an empty container instance.
`protected void` `initializeContainer(DefaultMessageListenerContainer container)` Further initialize the specified container.
`void` `setBackOff(org.springframework.util.backoff.BackOff backOff)`
`void` `setCacheLevel(Integer cacheLevel)`
`void` `setCacheLevelName(String cacheLevelName)`
`void` `setConcurrency(String concurrency)`
`void` `setMaxMessagesPerTask(Integer maxMessagesPerTask)`
`void` `setReceiveTimeout(Long receiveTimeout)`
`void` `setRecoveryInterval(Long recoveryInterval)`
`void` `setTaskExecutor(Executor taskExecutor)`
`void` `setTransactionManager(org.springframework.transaction.PlatformTransactionManager transactionManager)`

### Methods inherited from class org.springframework.jms.config.AbstractJmsListenerContainerFactory

`createListenerContainer, setAutoStartup, setClientId, setConnectionFactory, setDestinationResolver, setErrorHandler, setExceptionListener, setMessageConverter, setPhase, setPubSubDomain, setReplyPubSubDomain, setReplyQosSettings, setSessionAcknowledgeMode, setSessionTransacted, setSubscriptionDurable, setSubscriptionShared`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DefaultJmsListenerContainerFactory

    public DefaultJmsListenerContainerFactory()

### Method Detail

#### setTaskExecutor

    public void setTaskExecutor(Executor taskExecutor)

See Also:
  `DefaultMessageListenerContainer.setTaskExecutor(java.util.concurrent.Executor)`

#### setTransactionManager

    public void setTransactionManager(org.springframework.transaction.PlatformTransactionManager transactionManager)

See Also:
  `AbstractPollingMessageListenerContainer.setTransactionManager(org.springframework.transaction.PlatformTransactionManager)`

#### setCacheLevel

    public void setCacheLevel(Integer cacheLevel)

See Also:
  `DefaultMessageListenerContainer.setCacheLevel(int)`

#### setCacheLevelName

    public void setCacheLevelName(String cacheLevelName)

See Also:
  `DefaultMessageListenerContainer.setCacheLevelName(java.lang.String)`

#### setConcurrency

    public void setConcurrency(String concurrency)

See Also:
  `DefaultMessageListenerContainer.setConcurrency(java.lang.String)`

#### setMaxMessagesPerTask

    public void setMaxMessagesPerTask(Integer maxMessagesPerTask)

See Also:
  `DefaultMessageListenerContainer.setMaxMessagesPerTask(int)`

#### setReceiveTimeout

    public void setReceiveTimeout(Long receiveTimeout)

See Also:
  `AbstractPollingMessageListenerContainer.setReceiveTimeout(long)`

#### setRecoveryInterval

    public void setRecoveryInterval(Long recoveryInterval)

See Also:
  `DefaultMessageListenerContainer.setRecoveryInterval(long)`

#### setBackOff

    public void setBackOff(org.springframework.util.backoff.BackOff backOff)

See Also:
  `DefaultMessageListenerContainer.setBackOff(org.springframework.util.backoff.BackOff)`

#### createContainerInstance

    protected DefaultMessageListenerContainer createContainerInstance()

Description copied from class: `AbstractJmsListenerContainerFactory`
Create an empty container instance.

Specified by:
  `createContainerInstance` in class `AbstractJmsListenerContainerFactory<DefaultMessageListenerContainer>`

#### initializeContainer

    protected void initializeContainer(DefaultMessageListenerContainer container)

Description copied from class: `AbstractJmsListenerContainerFactory`
Further initialize the specified container.

Subclasses can inherit from this method to apply extra configuration if necessary.

Overrides:
  `initializeContainer` in class `AbstractJmsListenerContainerFactory<DefaultMessageListenerContainer>`